<template>
  <div class="sw-gs-like-list-page">
    <h1 class="sw-gs-like-list-page-header">
      {{ $t('Like list') }}
    </h1>

    <div class="sw-gs-like-list-page-items">
      <div v-if="likeList.length === 0" class="sw-gs-like-list-page-empty">
        {{ $t('Like list is empty') }}
      </div>
      <SwGsProductCard
        v-else
        v-for="product in likeList"
        :key="product.id"
        :slotContext="product"
        :dislikeActive="false"
      />
    </div>
  </div>
</template>

<script>
  import SwGsProductCard from "../SwGsProductCard.vue";

  export default {
    name: "SwGsLikeListPage",
    components: {
      SwGsProductCard
    },
    props: {
      likeList: {
        type: Array,
        default: () => ([]),
      },
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";
  @import "../../assets/scss/mixins/mediaQueries";

  // max photo width
  $mx-photo-wth-5: 20%;
  $mx-photo-wth-4: 25%;
  $mx-photo-wth-3: 33%;
  $mx-photo-wth-2: 50%;
  $mx-photo-wth-1: 75%;
  // product cards - limit in column
  $col-prod-5: 1 0 $mx-photo-wth-5;
  $col-prod-4: 1 0 $mx-photo-wth-4;
  $col-prod-3: 1 0 $mx-photo-wth-3;
  $col-prod-2: 1 0 $mx-photo-wth-2;
  $col-prod-1: 1 0 $mx-photo-wth-1;

  .sw-gs-like-list-page {
    position: relative;

    @include for-desktop {
      max-width: 1240px;
      margin: auto;
      margin-top: var(--spacer-xl);
    }
  }

  .sw-gs-like-list-page-header,
  .sw-gs-like-list-page-empty {
    margin-bottom: var(--spacer-xl);
    padding: 0 var(--spacer-xs);

    @include for-desktop-big {
      padding: 0 var(--spacer-base);
    }
  }

  .sw-gs-like-list-page-items {
    display: flex;
    position: relative;
    flex-wrap: wrap;
  }

  ::v-deep .sw-gs-cms-element-wrapper {
    flex: 1 0 50%;
    padding: var(--spacer-xs);
    max-width: $mx-photo-wth-2 !important;

    @include for-phone {
      max-width: $mx-photo-wth-3 !important;
      flex: $col-prod-3;
      padding: var(--spacer-xs);
    }

    @include for-tablet-small {
      flex: $col-prod-3;
      padding: var(--spacer-xs);
      max-width: $mx-photo-wth-3 !important;
    }

    @include for-tablet {
      flex: $col-prod-4;
      padding: var(--spacer-xs);
      max-width: $mx-photo-wth-4 !important;
    }

    @include for-desktop-small {
      flex: $col-prod-4;
      padding: var(--spacer-xs);
      max-width: $mx-photo-wth-4 !important;
    }

    @include for-desktop {
      flex: $col-prod-4;
      padding: var(--spacer-xs);
      max-width: $mx-photo-wth-4 !important;
    }

    @include for-desktop-big {
      flex: $col-prod-5;
      padding: var(--spacer-base);
      max-width: $mx-photo-wth-5 !important;
    }
  }

  ::v-deep .sf-product-card {
    max-width: none !important;

    &:not(:hover) {
      .sw-gs-product-card-like-btn {
        &.is-on-list {
          @include for-desktop {
            opacity: 0;
          }
        }
      }
    }
  }
</style>
